%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           plplot
Version:        5.6.1
Release:        6%{?dist}
Summary:        Library of functions for making scientific plots

Group:          Applications/Engineering
License:        LGPL
URL:            http://plplot.sourceforge.net/
Source0:        http://prdownloads.sf.net/plplot/%{name}-%{version}.tar.gz
Patch0:         plplot-5.5.3-matwrap.patch
Patch1:         plplot-5.6.1-octave.patch
Patch2:         plplot-5.6.1-info.patch
Patch3:         plplot-5.6.1-font.patch
Patch6:         plplot-5.6.0-x.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gcc-gfortran, freetype-devel, octave-devel, qhull-devel
BuildRequires:  java-devel, libgcj-devel, ncurses-devel
BuildRequires:  gd-devel, tcl-devel, tk-devel
BuildRequires:  python-devel, pygtk2-devel, python-numeric
BuildRequires:  libgnomeui-devel, libgnomeprintui22-devel, gnome-python2
BuildRequires:  perl(XML::DOM)
BuildRequires:  lasi-devel
BuildRequires:  wxGTK-devel
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
Requires:       freefont

%description
PLplot is a library of functions that are useful for making scientific
plots.

PLplot can be used from within compiled languages such as C, C++,
FORTRAN and Java, and interactively from interpreted languages such as
Octave, Python, Perl and Tcl.

The PLplot library can be used to create standard x-y plots, semilog
plots, log-log plots, contour plots, 3D surface plots, mesh plots, bar
charts and pie charts. Multiple graphs (of the same or different sizes)
may be placed on a single page with multiple lines in each graph.

A variety of output file devices such as Postscript, png, jpeg, LaTeX
and others, as well as interactive devices such as xwin, tk, xterm and
Tektronics devices are supported. New devices can be easily added by
writing a small number of device dependent routines.

There are almost 2000 characters in the extended character set. This
includes four different fonts, the Greek alphabet and a host of
mathematical, musical, and other symbols. Some devices supports its own
way of dealing with text, such as the Postscript and LaTeX drivers, or
the png and jpeg drivers that uses the Freetype library.


%package        devel
Summary:        Development headers and libraries for PLplot
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       qhull-devel, freetype-devel

%description    devel
%{summary}.


%package        gnome
Summary:        Functions for scientific plotting with GNOME
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    gnome
%{summary}.

%package        gnome-devel
Summary:        Development files for using PLplot GNOME
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-devel = %{version}-%{release}
Requires:       %{name}-gnome = %{version}-%{release}
Requires:       pkgconfig
Requires:       libgnomecanvas-devel, libgnomeprintui22-devel

%description    gnome-devel
%{summary}.


%package        java
Summary:        Functions for scientific plotting with Java
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    java
%{summary}.

%package        java-devel
Summary:        Development files for using PLplot GNOME
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-devel = %{version}-%{release}
Requires:       %{name}-java = %{version}-%{release}

%description    java-devel
%{summary}.


%package        octave
Summary:        Functions for scientific plotting with Octave
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}, octave

%description    octave
%{summary}.


%package        tk
Summary:        Functions for scientific plotting with Tk
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    tk
%{summary}.

%package        tk-devel
Summary:        Development files for using PLplot with Tk
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-devel = %{version}-%{release}
Requires:       %{name}-tk = %{version}-%{release}
Requires:       pkgconfig

%description    tk-devel
%{summary}.


%package        wxGTK
Summary:        Functions for scientific plotting with wxGTK
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    wxGTK
%{summary}.


%prep
%setup -q
%patch0 -p1 -b .orig
%patch1 -p1 -b .octave
%patch2 -p1 -b .orig
%patch3 -p1 -b .font
%patch6 -p1 -b .orig


%build
%configure --enable-f95 --disable-static --without-rpath --with-pthreads \
           --with-freetype-font-dir=/usr/share/fonts/freefont \
           --with-libunicode=no --disable-cgm --disable-linuxvga \
           --disable-wingcc --disable-aqt --disable-pdl --enable-psttf \
           --with-prebuiltdoc
make


%check
make check


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT/%{_docdir}/plplot $RPM_BUILD_ROOT/%{_docdir}/plplot-%{version}
find $RPM_BUILD_ROOT -name \*.la | xargs rm
#Permissions
find $RPM_BUILD_ROOT%{_docdir} -type f | xargs chmod -x


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/plplotdoc.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/plplotdoc.info %{_infodir}/dir || :
fi

%postun -p /sbin/ldconfig

%post gnome -p /sbin/ldconfig

%postun gnome -p /sbin/ldconfig

%post octave -p /sbin/ldconfig

%postun octave -p /sbin/ldconfig

%post tk -p /sbin/ldconfig

%postun tk -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_docdir}/plplot-%{version}/
%{_bindir}/plm2gif
%{_bindir}/plpr
%{_bindir}/plrender
%{_bindir}/pltek
%{_bindir}/pstex2eps
%{_libdir}/libcsirocsa.so.*
%{_libdir}/libcsironn.so.*
%{_libdir}/libplplotcxxd.so.*
%{_libdir}/libplplotd.so.*
%{_libdir}/libplplotf77cd.so.*
%{_libdir}/libplplotf77d.so.*
%{_libdir}/libplplotf95cd.so.*
%{_libdir}/libplplotf95d.so.*
%dir %{_libdir}/plplot%{version}
%dir %{_libdir}/plplot%{version}/driversd
%{_libdir}/plplot%{version}/driversd/gd.rc
%{_libdir}/plplot%{version}/driversd/gd.so
%{_libdir}/plplot%{version}/driversd/hpgl.rc
%{_libdir}/plplot%{version}/driversd/hpgl.so
%{_libdir}/plplot%{version}/driversd/mem.rc
%{_libdir}/plplot%{version}/driversd/mem.so
%{_libdir}/plplot%{version}/driversd/null.rc
%{_libdir}/plplot%{version}/driversd/null.so
%{_libdir}/plplot%{version}/driversd/pbm.rc
%{_libdir}/plplot%{version}/driversd/pbm.so
%{_libdir}/plplot%{version}/driversd/plmeta.rc
%{_libdir}/plplot%{version}/driversd/plmeta.so
%{_libdir}/plplot%{version}/driversd/ps.rc
%{_libdir}/plplot%{version}/driversd/ps.so
%{_libdir}/plplot%{version}/driversd/psttf.rc
%{_libdir}/plplot%{version}/driversd/psttf.so
%{_libdir}/plplot%{version}/driversd/xfig.rc
%{_libdir}/plplot%{version}/driversd/xfig.so
%{_libdir}/plplot%{version}/driversd/xwin.rc
%{_libdir}/plplot%{version}/driversd/xwin.so
%{python_sitelib}/_plplotcmodule.so
%{python_sitelib}/plplot.py*
%{python_sitelib}/plplot_widgetmodule.so
%{python_sitelib}/plplotc.py*
%{python_sitelib}/plplotcanvas.py*
%{_infodir}/plplotdoc.info*
%{_mandir}/man1/plm2gif.1.gz
%{_mandir}/man1/plpr.1.gz
%{_mandir}/man1/plrender.1.gz
%{_mandir}/man1/pltek.1.gz
%{_mandir}/man1/pstex2eps.1.gz
%dir %{_datadir}/plplot%{version}
%{_datadir}/plplot%{version}/*.map
%{_datadir}/plplot%{version}/*.fnt
%{_datadir}/plplot%{version}/pkgIndex.tcl
%{_datadir}/plplot%{version}/tcl/
%dir %{_datadir}/plplot%{version}/examples
%{_datadir}/plplot%{version}/examples/python/
%{_datadir}/plplot%{version}/examples/test_python.sh
%{_datadir}/plplot%{version}/examples/test_tcl.sh
%{_datadir}/plplot%{version}/examples/plplot-test.sh

%files devel
%defattr(-,root,root,-)
%{_bindir}/plplot-config
%{_bindir}/plplot_libtool
%{_mandir}/man1/plplot_libtool.1.gz
%{_includedir}/plplot/
%{_libdir}/libcsirocsa.so
%{_libdir}/libcsironn.so
%{_libdir}/libplplotcxxd.so
%{_libdir}/libplplotd.so
%{_libdir}/libplplotf77cd.so
%{_libdir}/libplplotf77d.so
%{_libdir}/libplplotf95cd.so
%{_libdir}/libplplotf95d.so
%{_libdir}/fortran/
%{_libdir}/pkgconfig/plplotd.pc
%{_libdir}/pkgconfig/plplotd-c++.pc
%{_libdir}/pkgconfig/plplotd-f77.pc
%{_libdir}/pkgconfig/plplotd-f95.pc
%{_datadir}/plplot%{version}/examples/c/
%{_datadir}/plplot%{version}/examples/c++/
%{_datadir}/plplot%{version}/examples/f77/
%{_datadir}/plplot%{version}/examples/f95/
%{_datadir}/plplot%{version}/examples/Makefile
%{_datadir}/plplot%{version}/examples/test_c.sh
%{_datadir}/plplot%{version}/examples/test_cxx.sh
%{_datadir}/plplot%{version}/examples/test_f77.sh
%{_datadir}/plplot%{version}/examples/test_f95.sh
%{_mandir}/man3/pl*.3*

%files gnome
%defattr(-,root,root,-)
%{_libdir}/libplplotgnome2d.so.*
%{_libdir}/plplot%{version}/driversd/gcw.rc
%{_libdir}/plplot%{version}/driversd/gcw.so
%{python_sitelib}/gcwmodule.so
%{python_sitelib}/cplplotcanvasmodule.so

%files gnome-devel
%defattr(-,root,root,-)
%{_libdir}/libplplotgnome2d.so
%{_libdir}/pkgconfig/plplotd-gnome2.pc

%files java
%defattr(-,root,root,-)
%{_libdir}/jni/plplotjavac_wrap.so
%{_datadir}/java/plplot.jar

%files java-devel
%defattr(-,root,root,-)
%{_datadir}/plplot%{version}/examples/java/
%{_datadir}/plplot%{version}/examples/test_java.sh

%files octave
%defattr(-,root,root,-)
%{_datadir}/plplot_octave/
%{_datadir}/octave/site/m/PLplot/
%{_libexecdir}/octave/site/oct/*/plplot_octave.oct
%{_datadir}/plplot%{version}/examples/octave/
%{_datadir}/plplot%{version}/examples/test_octave.sh

%files tk
%defattr(-,root,root,-)
%{_bindir}/plserver
%{_bindir}/pltcl
%{_libdir}/libplplottcltkd.so.*
%{_libdir}/libtclmatrixd.so.*
%{_libdir}/plplot%{version}/driversd/tk.rc
%{_libdir}/plplot%{version}/driversd/tk.so
%{_libdir}/plplot%{version}/driversd/tkwin.rc
%{_libdir}/plplot%{version}/driversd/tkwin.so
%{_mandir}/man1/plserver.1.gz
%{_mandir}/man1/pltcl.1.gz

%files tk-devel
%defattr(-,root,root,-)
%{_libdir}/libplplottcltkd.so
%{_libdir}/libtclmatrixd.so
%{_libdir}/pkgconfig/plplotd-tcl.pc
%{_datadir}/plplot%{version}/examples/tcl/
%{_datadir}/plplot%{version}/examples/tk/

%files wxGTK
%defattr(-,root,root,-)
%{_libdir}/plplot%{version}/driversd/wxwidgets.rc
%{_libdir}/plplot%{version}/driversd/wxwidgets.so


%changelog
* Thu Nov  2 2006 - Orion Poplawski <orion@cora.nwra.com> - 5.6.1-6
- Point to the freefont package properly (bug #210517)

* Fri Oct  6 2006 - Orion Poplawski <orion@cora.nwra.com> - 5.6.1-5
- Rebuild for new octave API version

* Mon Sep 25 2006 - Orion Poplawski <orion@cora.nwra.com> - 5.6.1-4
- Add needed Requires for -devel packages (bug #202168)
- Add patch for info file to fix category
- Add BR ncurses-devel

* Mon Aug 28 2006 - Orion Poplawski <orion@cora.nwra.com> - 5.6.1-3
- Rebuild for new octave API version

* Mon Aug  7 2006 - Orion Poplawski <orion@cora.nwra.com> - 5.6.1-2
- Add patch to support octave 2.9.7 (bug #201443)

* Mon May 22 2006 - Orion Poplawski <orion@cora.nwra.com> - 5.6.1-1
- Update to 5.6.1
- Enable f95 bindings
- Remove patches applied upstream
- Now include pkgconfig files
- pstex driver no longer shipped

* Mon Apr 24 2006 - Orion Poplawski <orion@cora.nwra.com> - 5.6.0-1
- Update to 5.6.0 with new psttf driver
- Add wxGTK support

* Fri Feb 24 2006 - Orion Poplawski <orion@cora.nwra.com> - 5.5.3-12
- Rebuild for FC5 gcc/glibc changes

* Wed Feb  1 2006 - Orion Poplawski <orion@cora.nwra.com> - 5.5.3-11
- Package .pyc and .pyo files

* Thu Dec 22 2005 - Orion Poplawski <orion@cora.nwra.com> - 5.5.3-10
- Add patch to strip X check from configure for modular X
- Rework patches to patch configure and avoid autoconf
- Teporarily add BR on libXau-devel and libXdmcp (bz #176313)

* Thu Dec 15 2005 - Orion Poplawski <orion@cora.nwra.com> - 5.5.3-9
- Rebuild for gcc 4.1

* Tue Aug 30 2005 - Orion Poplawski <orion@cora.nwra.com> - 5.5.3-8
- Re-enable java on ppc - should be fixed in upstream rawhide

* Thu Aug 11 2005 - Orion Poplawski <orion@cora.nwra.com> - 5.5.3-7
- Breakout java into its own sub-package, don't build on non x86
- Add patch to fix c test on ppc

* Wed Aug 10 2005 - Orion Poplawski <orion@cora.nwra.com> - 5.5.3-6
- Add patch to find tcl on x86_64
- Add patch to use new octave in devel

* Tue Aug 09 2005 - Orion Poplawski <orion@cora.nwra.com> - 5.5.3-5
- Explicitly turn off unused features in configure
- rpmlint cleanup
- add make check

* Mon Aug 08 2005 - Orion Poplawski <orion@cora.nwra.com> - 5.5.3-4
- Remove smp build due to problems
- Add gnome-python2 BuildRequires

* Mon Aug 08 2005 - Orion Poplawski <orion@cora.nwra.com> - 5.5.3-3
- Split into multipe packages

* Mon Aug 08 2005 - Orion Poplawski <orion@cora.nwra.com> - 5.5.3-2
- Shorten summary
- Fix Source URL

* Thu Aug 04 2005 - Orion Poplawski <orion@cora.nwra.com> - 5.5.3-1
- Initial Fedora Extras release
